<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="pl">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.7"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Robomap: Dokumentacja pliku odbieranie.cpp</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">Robomap<span id="projectnumber">&#160;0.1</span>
   </div>
   <div id="projectbrief">RM</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Wygenerowano przez Doxygen 1.9.7 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',false,false,'search.php','Szukaj');
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('odbieranie_8cpp.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<div class="header">
  <div class="summary">
<a href="#define-members">Definicje</a> &#124;
<a href="#func-members">Funkcje</a>  </div>
  <div class="headertitle"><div class="title">Dokumentacja pliku odbieranie.cpp</div></div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &lt;sys/types.h&gt;</code><br />
<code>#include &lt;sys/stat.h&gt;</code><br />
<code>#include &lt;fcntl.h&gt;</code><br />
<code>#include &lt;iostream&gt;</code><br />
<code>#include &lt;unistd.h&gt;</code><br />
<code>#include &lt;time.h&gt;</code><br />
<code>#include &lt;cctype&gt;</code><br />
<code>#include &lt;cstdlib&gt;</code><br />
<code>#include &lt;cstdio&gt;</code><br />
<code>#include &lt;cstring&gt;</code><br />
<code>#include &lt;errno.h&gt;</code><br />
<code>#include &quot;<a class="el" href="transparam_8hh_source.html">transparam.hh</a>&quot;</code><br />
</div><div class="textblock"><div class="dynheader">
Wykres zależności załączania dla odbieranie.cpp:</div>
<div class="dyncontent">
<div class="center"><img src="odbieranie_8cpp__incl.png" border="0" usemap="#aodbieranie_8cpp" alt=""/></div>
<map name="aodbieranie_8cpp" id="aodbieranie_8cpp">
<area shape="rect" title=" " alt="" coords="505,5,611,31"/>
<area shape="rect" title=" " alt="" coords="5,79,92,104"/>
<area shape="poly" title=" " alt="" coords="505,28,332,49,106,81,105,76,331,43,505,22"/>
<area shape="rect" title=" " alt="" coords="116,79,195,104"/>
<area shape="poly" title=" " alt="" coords="505,30,209,81,208,76,505,25"/>
<area shape="rect" title=" " alt="" coords="219,79,276,104"/>
<area shape="poly" title=" " alt="" coords="506,33,290,81,289,76,505,28"/>
<area shape="rect" title=" " alt="" coords="301,79,373,104"/>
<area shape="poly" title=" " alt="" coords="523,33,386,77,384,72,522,28"/>
<area shape="rect" title=" " alt="" coords="397,79,463,104"/>
<area shape="poly" title=" " alt="" coords="539,33,464,74,462,69,536,28"/>
<area shape="rect" title=" " alt="" coords="488,79,545,104"/>
<area shape="poly" title=" " alt="" coords="553,32,533,68,528,65,549,30"/>
<area shape="rect" title=" " alt="" coords="569,79,629,104"/>
<area shape="poly" title=" " alt="" coords="567,30,588,65,583,68,563,32"/>
<area shape="rect" title=" " alt="" coords="653,79,713,104"/>
<area shape="poly" title=" " alt="" coords="579,28,652,69,650,74,577,33"/>
<area shape="rect" title=" " alt="" coords="737,79,795,104"/>
<area shape="poly" title=" " alt="" coords="592,28,725,73,723,78,591,33"/>
<area shape="rect" title=" " alt="" coords="819,79,881,104"/>
<area shape="poly" title=" " alt="" coords="608,28,807,76,805,81,607,33"/>
<area shape="rect" title=" " alt="" coords="905,79,966,104"/>
<area shape="poly" title=" " alt="" coords="611,25,735,45,892,76,890,81,734,51,611,30"/>
<area shape="rect" href="transparam_8hh.html" title=" " alt="" coords="990,79,1094,104"/>
<area shape="poly" title=" " alt="" coords="612,24,977,76,976,81,611,29"/>
<area shape="rect" title=" " alt="" coords="1005,152,1079,177"/>
<area shape="poly" title=" " alt="" coords="1045,104,1045,138,1039,138,1039,104"/>
</map>
</div>
</div>
<p><a href="odbieranie_8cpp_source.html">Idź do kodu źródłowego tego pliku.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="define-members" name="define-members"></a>
Definicje</h2></td></tr>
<tr class="memitem:ac4f92db10fea9b5bd0337dcfa87f1850"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="odbieranie_8cpp.html#ac4f92db10fea9b5bd0337dcfa87f1850">ROZMIAR_LINII</a>&#160;&#160;&#160;100</td></tr>
<tr class="separator:ac4f92db10fea9b5bd0337dcfa87f1850"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="func-members" name="func-members"></a>
Funkcje</h2></td></tr>
<tr class="memitem:acb92bf56d0e1ea8c61397989de2972c5"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="odbieranie_8cpp.html#acb92bf56d0e1ea8c61397989de2972c5">Czas_JestPozniejNiz</a> (const struct timespec &amp;CzasX)</td></tr>
<tr class="separator:acb92bf56d0e1ea8c61397989de2972c5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6befdeb19cdb98ce397b800b2bf28ce1"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="odbieranie_8cpp.html#a6befdeb19cdb98ce397b800b2bf28ce1">RS232_Odbierz</a> (int DeskPortu, char &amp;BuforZnaku, unsigned int CzasOczekiwania_ms=2000)</td></tr>
<tr class="separator:a6befdeb19cdb98ce397b800b2bf28ce1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aebff1e4ab04b6e0d4e0cb0b2cb34d8c8"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="odbieranie_8cpp.html#aebff1e4ab04b6e0d4e0cb0b2cb34d8c8">RS232_Odbierz</a> (int DeskPortu, string &amp;Bufor, unsigned int IloscZnakow, unsigned int CzasOczekiwania_ms)</td></tr>
<tr class="separator:aebff1e4ab04b6e0d4e0cb0b2cb34d8c8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8ba1cb8263e0f85250d2dbd1fb60e825"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="odbieranie_8cpp.html#a8ba1cb8263e0f85250d2dbd1fb60e825">TestOdbioru</a> ()</td></tr>
<tr class="separator:a8ba1cb8263e0f85250d2dbd1fb60e825"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Dokumentacja definicji</h2>
<a id="ac4f92db10fea9b5bd0337dcfa87f1850" name="ac4f92db10fea9b5bd0337dcfa87f1850"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac4f92db10fea9b5bd0337dcfa87f1850">&#9670;&#160;</a></span>ROZMIAR_LINII</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define ROZMIAR_LINII&#160;&#160;&#160;100</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="odbieranie_8cpp_source.html#l00014">14</a> pliku <a class="el" href="odbieranie_8cpp_source.html">odbieranie.cpp</a>.</p>

</div>
</div>
<h2 class="groupheader">Dokumentacja funkcji</h2>
<a id="acb92bf56d0e1ea8c61397989de2972c5" name="acb92bf56d0e1ea8c61397989de2972c5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acb92bf56d0e1ea8c61397989de2972c5">&#9670;&#160;</a></span>Czas_JestPozniejNiz()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Czas_JestPozniejNiz </td>
          <td>(</td>
          <td class="paramtype">const struct timespec &amp;&#160;</td>
          <td class="paramname"><em>CzasX</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="odbieranie_8cpp_source.html#l00025">25</a> pliku <a class="el" href="odbieranie_8cpp_source.html">odbieranie.cpp</a>.</p>
<div class="dynheader">
Oto graf wywoływań tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="odbieranie_8cpp_acb92bf56d0e1ea8c61397989de2972c5_icgraph.png" border="0" usemap="#aodbieranie_8cpp_acb92bf56d0e1ea8c61397989de2972c5_icgraph" alt=""/></div>
<map name="aodbieranie_8cpp_acb92bf56d0e1ea8c61397989de2972c5_icgraph" id="aodbieranie_8cpp_acb92bf56d0e1ea8c61397989de2972c5_icgraph">
<area shape="rect" title=" " alt="" coords="325,29,469,55"/>
<area shape="rect" href="odbieranie_8cpp.html#a6befdeb19cdb98ce397b800b2bf28ce1" title=" " alt="" coords="165,55,277,80"/>
<area shape="poly" title=" " alt="" coords="312,57,278,62,277,57,311,52"/>
<area shape="rect" href="odbieranie_8cpp.html#aebff1e4ab04b6e0d4e0cb0b2cb34d8c8" title=" " alt="" coords="5,5,117,31"/>
<area shape="poly" title=" " alt="" coords="312,39,118,25,118,19,312,33"/>
<area shape="poly" title=" " alt="" coords="166,53,103,33,104,28,167,48"/>
<area shape="rect" href="odbieranie_8cpp.html#a8ba1cb8263e0f85250d2dbd1fb60e825" title=" " alt="" coords="15,55,108,80"/>
<area shape="poly" title=" " alt="" coords="152,70,108,70,108,65,152,65"/>
</map>
</div>

</div>
</div>
<a id="a6befdeb19cdb98ce397b800b2bf28ce1" name="a6befdeb19cdb98ce397b800b2bf28ce1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6befdeb19cdb98ce397b800b2bf28ce1">&#9670;&#160;</a></span>RS232_Odbierz() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int RS232_Odbierz </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>DeskPortu</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">char &amp;&#160;</td>
          <td class="paramname"><em>BuforZnaku</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">unsigned int&#160;</td>
          <td class="paramname"><em>CzasOczekiwania_ms</em> = <code>2000</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="odbieranie_8cpp_source.html#l00039">39</a> pliku <a class="el" href="odbieranie_8cpp_source.html">odbieranie.cpp</a>.</p>
<div class="dynheader">
Oto graf wywołań dla tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="odbieranie_8cpp_a6befdeb19cdb98ce397b800b2bf28ce1_cgraph.png" border="0" usemap="#aodbieranie_8cpp_a6befdeb19cdb98ce397b800b2bf28ce1_cgraph" alt=""/></div>
<map name="aodbieranie_8cpp_a6befdeb19cdb98ce397b800b2bf28ce1_cgraph" id="aodbieranie_8cpp_a6befdeb19cdb98ce397b800b2bf28ce1_cgraph">
<area shape="rect" title=" " alt="" coords="5,5,117,31"/>
<area shape="rect" href="odbieranie_8cpp.html#acb92bf56d0e1ea8c61397989de2972c5" title=" " alt="" coords="165,5,309,31"/>
<area shape="poly" title=" " alt="" coords="118,15,152,15,152,21,118,21"/>
</map>
</div>
<div class="dynheader">
Oto graf wywoływań tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="odbieranie_8cpp_a6befdeb19cdb98ce397b800b2bf28ce1_icgraph.png" border="0" usemap="#aodbieranie_8cpp_a6befdeb19cdb98ce397b800b2bf28ce1_icgraph" alt=""/></div>
<map name="aodbieranie_8cpp_a6befdeb19cdb98ce397b800b2bf28ce1_icgraph" id="aodbieranie_8cpp_a6befdeb19cdb98ce397b800b2bf28ce1_icgraph">
<area shape="rect" title=" " alt="" coords="165,31,277,56"/>
<area shape="rect" href="odbieranie_8cpp.html#aebff1e4ab04b6e0d4e0cb0b2cb34d8c8" title=" " alt="" coords="5,5,117,31"/>
<area shape="poly" title=" " alt="" coords="151,35,117,29,118,24,152,30"/>
<area shape="rect" href="odbieranie_8cpp.html#a8ba1cb8263e0f85250d2dbd1fb60e825" title=" " alt="" coords="15,55,108,80"/>
<area shape="poly" title=" " alt="" coords="152,56,108,63,108,58,151,51"/>
</map>
</div>

</div>
</div>
<a id="aebff1e4ab04b6e0d4e0cb0b2cb34d8c8" name="aebff1e4ab04b6e0d4e0cb0b2cb34d8c8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aebff1e4ab04b6e0d4e0cb0b2cb34d8c8">&#9670;&#160;</a></span>RS232_Odbierz() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool RS232_Odbierz </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>DeskPortu</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string &amp;&#160;</td>
          <td class="paramname"><em>Bufor</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">unsigned int&#160;</td>
          <td class="paramname"><em>IloscZnakow</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">unsigned int&#160;</td>
          <td class="paramname"><em>CzasOczekiwania_ms</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="odbieranie_8cpp_source.html#l00067">67</a> pliku <a class="el" href="odbieranie_8cpp_source.html">odbieranie.cpp</a>.</p>
<div class="dynheader">
Oto graf wywołań dla tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="odbieranie_8cpp_aebff1e4ab04b6e0d4e0cb0b2cb34d8c8_cgraph.png" border="0" usemap="#aodbieranie_8cpp_aebff1e4ab04b6e0d4e0cb0b2cb34d8c8_cgraph" alt=""/></div>
<map name="aodbieranie_8cpp_aebff1e4ab04b6e0d4e0cb0b2cb34d8c8_cgraph" id="aodbieranie_8cpp_aebff1e4ab04b6e0d4e0cb0b2cb34d8c8_cgraph">
<area shape="rect" title=" " alt="" coords="5,5,117,31"/>
<area shape="rect" href="odbieranie_8cpp.html#acb92bf56d0e1ea8c61397989de2972c5" title=" " alt="" coords="325,5,469,31"/>
<area shape="poly" title=" " alt="" coords="117,15,312,15,312,21,117,21"/>
<area shape="rect" href="odbieranie_8cpp.html#a6befdeb19cdb98ce397b800b2bf28ce1" title=" " alt="" coords="165,31,277,56"/>
<area shape="poly" title=" " alt="" coords="118,24,152,30,152,35,117,29"/>
<area shape="poly" title=" " alt="" coords="277,33,311,28,312,33,278,38"/>
</map>
</div>

</div>
</div>
<a id="a8ba1cb8263e0f85250d2dbd1fb60e825" name="a8ba1cb8263e0f85250d2dbd1fb60e825"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8ba1cb8263e0f85250d2dbd1fb60e825">&#9670;&#160;</a></span>TestOdbioru()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void TestOdbioru </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="odbieranie_8cpp_source.html#l00100">100</a> pliku <a class="el" href="odbieranie_8cpp_source.html">odbieranie.cpp</a>.</p>
<div class="dynheader">
Oto graf wywołań dla tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="odbieranie_8cpp_a8ba1cb8263e0f85250d2dbd1fb60e825_cgraph.png" border="0" usemap="#aodbieranie_8cpp_a8ba1cb8263e0f85250d2dbd1fb60e825_cgraph" alt=""/></div>
<map name="aodbieranie_8cpp_a8ba1cb8263e0f85250d2dbd1fb60e825_cgraph" id="aodbieranie_8cpp_a8ba1cb8263e0f85250d2dbd1fb60e825_cgraph">
<area shape="rect" title=" " alt="" coords="5,80,99,105"/>
<area shape="rect" href="odbieranie_8cpp.html#a6befdeb19cdb98ce397b800b2bf28ce1" title=" " alt="" coords="147,31,259,56"/>
<area shape="poly" title=" " alt="" coords="91,77,150,58,151,63,92,82"/>
<area shape="rect" href="transparam_8cpp.html#abbc868041fa51d5f4d3923d8b3488867" title="Ustawianie parametrów transmisji." alt="" coords="147,104,260,129"/>
<area shape="poly" title=" " alt="" coords="99,97,133,103,132,108,98,103"/>
<area shape="rect" href="odbieranie_8cpp.html#acb92bf56d0e1ea8c61397989de2972c5" title=" " alt="" coords="336,5,480,31"/>
<area shape="poly" title=" " alt="" coords="260,34,322,26,323,31,260,39"/>
<area shape="rect" href="transparam_8cpp.html#a7585c6873219f5b0cae001b4e95a60af" title=" " alt="" coords="308,55,508,80"/>
<area shape="poly" title=" " alt="" coords="256,101,307,89,341,81,342,86,309,94,257,106"/>
<area shape="rect" href="transparam_8cpp.html#a0728e8853a57cc2290d9739c1108d2fc" title=" " alt="" coords="314,104,502,129"/>
<area shape="poly" title=" " alt="" coords="260,114,300,114,300,119,260,119"/>
<area shape="rect" href="transparam_8cpp.html#ad26bdc052d530d02b4353582e1d9568b" title=" " alt="" coords="313,153,503,179"/>
<area shape="poly" title=" " alt="" coords="257,127,342,147,341,153,256,132"/>
<area shape="rect" href="transparam_8cpp.html#acb0647d46d75d5baa3508f59750fd510" title=" " alt="" coords="309,203,507,228"/>
<area shape="poly" title=" " alt="" coords="221,127,259,158,309,188,331,196,329,201,307,192,256,162,217,132"/>
</map>
</div>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_4aa64b0872d36146e049722e293482e3.html">prj</a></li><li class="navelem"><a class="el" href="dir_400757c3a0df52e783ed9699284f29ce.html">src</a></li><li class="navelem"><a class="el" href="odbieranie_8cpp.html">odbieranie.cpp</a></li>
    <li class="footer">Wygenerowano przez <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.7 </li>
  </ul>
</div>
</body>
</html>
